> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Statement

> getting statement



## OpenAPI

````yaml /openapi/financial-data.json post /accounts/statement
openapi: 3.0.2
info:
  title: Flick Financial Data API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Account LookUp
    description: Getting Accounts from Banks
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Credit Report
    description: Getting Credit Report of Bank
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /accounts/statement:
    post:
      tags:
        - ''
      summary: Statement
      description: getting statement
      operationId: Flick Statement
      requestBody:
        description: >-
          Getting your statement on your Monthly Duration (1, 3, 6, 9 & 12
          months) 
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Statement'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatementResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    Statement:
      required:
        - monthRange
        - accountNumber
      type: object
      properties:
        monthRange:
          type: string
          enum:
            - '1'
            - '3'
            - '6'
            - '9'
            - '12'
          example: 1, 3, 6, 9 & 12 months
        accountNumber:
          type: string
          example: '0011003344'
    StatementResponse:
      type: object
      properties:
        status:
          type: integer
          example: 200
        data:
          type: array
          items:
            type: object
            properties:
              Nuban:
                type: string
              datedStamp:
                type: string
              bankName:
                type: string
              currency:
                type: string
              bvn:
                type: string
              Amount:
                type: string
              dated:
                type: string
              TransactionType:
                type: string
              Narration:
                type: string
              TransType:
                type: string
              Balance:
                type: string
              BeneficiaryName:
                type: string
      example:
        data:
          - Nuban: '001122520'
            datedStamp: '2023-11-27T10:29:09.315Z'
            bankName: Zenith Bank
            currency: NGN
            bvn: '2211221122'
            Amount: '10000'
            dated: '2023-10-09T19:53:00.000Z'
            TransactionType: debit
            Narration: MC Loc Web-707390016959--
            TransType: debit
            Balance: '12558'
            BeneficiaryName: 'null'
          - Nuban: '001122520'
            datedStamp: '2023-11-27T10:29:09.316Z'
            bankName: Zenith Bank
            currency: NGN
            bvn: '2211221122'
            Amount: '20000'
            dated: '2023-10-09T15:32:00.000Z'
            TransactionType: credit
            Narration: Buying
            TransType: credit
            Balance: '22558'
            BeneficiaryName: 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.